export async function onRequestGet(context: RequestContext) {
  return new Response(
    `<!DOCTYPE html>
    <html lang="en">
      <head>
        <title>WebView Captcha</title>
        <script async defer src="https://challenges.cloudflare.com/turnstile/v0/api.js"></script>
      </head>
      <body>
        <div class="cf-turnstile" data-callback="returnToken" data-error-callback="handleError" data-sitekey="${context.env.TURNSTILE_SITEKEY}" style="width: 90%; translate(5%);"></div>
        <script>
          function handleError(error) {
            console.error(error);
            onToken.postMessage(null);

            return true;
          }

          function returnToken(token) {
            onToken.postMessage(token);
          }
        </script>
      </body>
    </html>`,
    {
      headers: {
        "content-type": "text/html",
      },
    },
  );
}
